// -----------------------------------------------------------------------------
// This file contains all site-wide CSS variables.
// -----------------------------------------------------------------------------

// Browser variables
:root {
  --text-primary: #{$gray-dark};
  --text-light: #{$off-white};
  --text-highlight: #{$gray-dark};
  --background-body: white;
  --background-primary: #{$gray-light};
  --background-secondary: #{$off-white};
  --background-tertiary: #{$gray-lighter};
  --background-transparent: rgba(225,225,225,0.85);
  --link-primary: #{$purple};
  --link-primary-hover: #{$ubuntu-purple};
  --table-odd: #ededed85;
  --table-even: #ededed;
  --border-primary: #{$gray-light};
}

.light-invert, .both-invert {
  filter: invert(1);
}

.d-light-none {
  display: none;
}

body.theme-dark {
  --text-primary: #{$gray-mid};
  --text-light: #{$off-white};
  --text-highlight: white;
  --background-body: #141414;
  --background-primary: #{$gray-darker};
  --background-secondary: #{$gray-darker};
  --background-tertiary: #{$gray-darker};
  --background-transparent: rgba(31,31,31,0.85);
  --link-primary: #{$ubuntu-purple-lighter};
  --link-primary-hover: #{$off-white};
  --table-odd: #28282885;
  --table-even: #282828;
  --border-primary: #{$gray-dark};

  .light-invert {
    filter: invert(0);
  }

  .dark-invert {
    filter: invert(1);
  }

  .dark-invert-40 {
    filter: invert(1);
  }

  .d-light-none {
    display: initial;
  }

  .d-dark-none {
    display: none;
  }
}
